Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.domino
Class AppointmentTypeEnum

    java.lang.Object
      |
      +--com.compoze.collab.CollabEnum
            |
            +--com.compoze.collab.domino.AppointmentTypeEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class AppointmentTypeEnum
extends CollabEnum
implements java.io.Serializable

An enumeration of the Domino appointment types. The enumeration class that contains `AppointmentType` elements.

See Also:
  Serialized Form

Field Summary
`static AppointmentType` | `ALL_DAY_EVENT` The all day event appointment type.
`static AppointmentType` | `ANNIVERSARY` The anniversary appointment type.
`static AppointmentType` | `APPOINTMENT` The appointment appointment type.
`static AppointmentType` | `MEETING` The meeting appointment type.
`static int` | `NUM_ELEMENTS`
`static AppointmentType` | `REMINDER` The reminder appointment type.
`static int` | `VALUE_ALL_DAY_EVENT`
`static int` | `VALUE_ANNIVERSARY`
`static int` | `VALUE_APPOINTMENT`
`static int` | `VALUE_MEETING`
`static int` | `VALUE_REMINDER`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `AppointmentTypeEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `AppointmentTypeEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_APPOINTMENT

    public static final int VALUE_APPOINTMENT

### VALUE_ANNIVERSARY

    public static final int VALUE_ANNIVERSARY

### VALUE_ALL_DAY_EVENT

    public static final int VALUE_ALL_DAY_EVENT

### VALUE_MEETING

    public static final int VALUE_MEETING

### VALUE_REMINDER

    public static final int VALUE_REMINDER

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

### APPOINTMENT

    public static final AppointmentType APPOINTMENT

  The appointment appointment type.

### ANNIVERSARY

    public static final AppointmentType ANNIVERSARY

  The anniversary appointment type.

### ALL_DAY_EVENT

    public static final AppointmentType ALL_DAY_EVENT

  The all day event appointment type.

### MEETING

    public static final AppointmentType MEETING

  The meeting appointment type.

### REMINDER

    public static final AppointmentType REMINDER

  The reminder appointment type.

Constructor Detail

### AppointmentTypeEnum

    protected AppointmentTypeEnum(java.lang.Class elementClass,
                                  int iNumElements,
                                  com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                                  EnumElement defaultElement,
                                  java.lang.String sInternalName,
                                  boolean bMaskable)

  Constructor.

### AppointmentTypeEnum

    protected AppointmentTypeEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.